'Copyright 2006 James Downey


Imports System.Collections.ObjectModel

Public Class Attributes
    Inherits Collection(Of Attribute)
End Class

Public Class Values
    Inherits Collection(Of String)
End Class

Public Class Orders
    Inherits Collection(Of Order)
    Private mEntity As Entity
    Public Sub Replace(ByVal OriginalItem As Order, ByVal NewItem As Order)
        MyBase.SetItem(MyBase.Items.IndexOf(OriginalItem), NewItem)
    End Sub
    Public ReadOnly Property Entity() As Entity
        Get
            Return (mEntity)
        End Get
    End Property
End Class

Public Class LinkedEntities
    Inherits Collection(Of LinkedEntity)
    Public Sub Replace(ByVal OriginalItem As LinkedEntity, ByVal NewItem As LinkedEntity)
        MyBase.SetItem(MyBase.Items.IndexOf(OriginalItem), NewItem)
    End Sub
End Class

Public Class Filters
    Inherits Collection(Of Filter)
    Public Sub Replace(ByVal OriginalItem As Filter, ByVal NewItem As Filter)
        MyBase.SetItem(MyBase.Items.IndexOf(OriginalItem), NewItem)
    End Sub
End Class

Public Class Conditions
    Inherits Collection(Of Condition)
    Public Sub Replace(ByVal OriginalItem As Condition, ByVal NewItem As Condition)
        MyBase.SetItem(MyBase.Items.IndexOf(OriginalItem), NewItem)
    End Sub
End Class
